### Method

# Gtk TreeViewColumnget_sort_column_id

deprecated: 4.10

#### Declaration [src]

    int
    gtk_tree_view_column_get_sort_column_id (
      GtkTreeViewColumn* tree_column
    )

#### Description [src]

Gets the logical `sort_column_id` that the model sorts on when this column is selected for sorting.

See `gtk_tree_view_column_set_sort_column_id()`.

Deprecated since: 4.10

Use GtkColumnView instead.

Gets property | `Gtk.TreeViewColumn:sort-column-id`

#### Return value

Type: `int`

The current `sort_column_id` for this column, or -1 if this column can’t be used for sorting.